## toppler 1.3

=== Makefile ===
# Tower Toppler
#
# Tower Toppler is the legal property of its developers, whose
# names are listed in the AUTHORS file, which is included
# within the source distribution.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335 USA

PREFIX = /usr
BINDIR = $(PREFIX)/bin
DATADIR = $(PREFIX)/share
STATEDIR = /var/toppler
LOCALEDIR = $(DATADIR)/locale
MANDIR =  $(DATADIR)/man
PKGDATADIR = $(DATADIR)/toppler
DESTDIR =
CROSS =

CONVERT = convert
CXX = $(CROSS)$(CXX_NATIVE)
CXX_NATIVE = g++
CXXFLAGS = -Wall -Wextra -g -O2 -std=c++17
EXEEXT = $(if $(filter %-w64-mingw32.static-,$(CROSS)),.exe,)
INSTALL = install
LDFLAGS =
MSGFMT = msgfmt
MSGMERGE = msgmerge
PKG_CONFIG = $(CROSS)$(PKG_CONFIG_NATIVE)
PKG_CONFIG_NATIVE = pkg-config
POVRAY = povray
XGETTEXT = xgettext
GIMP = gimp

MSGID_BUGS_ADDRESS := roever@users.sf.net

.DELETE_ON_ERROR:

.PHONY: default
default: all

VERSION := $(shell cat src/version)
ALL_SOURCES := $(wildcard src/*)

PKGS += SDL2_mixer
PKGS += sdl2
PKGS += zlib

PKGS_NATIVE += zlib
PKGS_NATIVE += sdl2
PKGS_NATIVE += libpng
PKGS_NATIVE += SDL2_image

PKG_CFLAGS_NATIVE = $$($(PKG_CONFIG_NATIVE) --cflags $(PKGS_NATIVE))
PKG_LIBS_NATIVE = $$($(PKG_CONFIG_NATIVE) --libs $(PKGS_NATIVE))

DEFS += -DVERSION='"$(VERSION)"'
DEFS += -DTOP_DATADIR='"$(PKGDATADIR)"'
DEFS += -DHISCOREDIR='"$(STATEDIR)"'
DEFS += -DENABLE_NLS=1
DEFS += -DLOCALEDIR='"$(LOCALEDIR)"'

FILES_H := $(wildcard src/*.h)
FILES_CPP := $(wildcard src/*.cc)
FILES_O := $(patsubst src/%,_build/$(CROSS)/%.o,$(FILES_CPP))
.SECONDARY: $(FILES_O)
_build/$(CROSS)/%.o: src/% src/version $(FILES_H)
	@mkdir -p $(dir $@)
	$(CXX) $(CXXFLAGS) $$($(PKG_CONFIG) --cflags $(PKGS)) $(DEFS) -c -o $@ $<

FILES_BINDIR += $(CROSS)toppler$(EXEEXT)
$(CROSS)toppler$(EXEEXT): $(FILES_O)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@ $(FILES_O) $$($(PKG_CONFIG) --libs $(PKGS)) $(LIBS)

# the rules for the datafile

SOUNDS = datafile/sounds/alarm.wav datafile/sounds/boing.wav datafile/sounds/bubbles.wav datafile/sounds/fanfare.wav \
         datafile/sounds/hit.wav datafile/sounds/honk.wav datafile/sounds/rumble.wav datafile/sounds/score.wav \
         datafile/sounds/sonar.wav datafile/sounds/splash.wav datafile/sounds/swoosh.wav datafile/sounds/tap.wav \
         datafile/sounds/tick.wav datafile/sounds/torpedo.wav datafile/sounds/water.wav

DATFILES += $(SOUNDS)

#-------------------------------------------------------#
# translation files
#-------------------------------------------------------#

TRANSLATIONFILES_PO := $(wildcard src/po/*.po)
TRANSLATIONFILES_MO := $(patsubst src/po/%.po,locale/%/LC_MESSAGES/toppler.mo,$(TRANSLATIONFILES_PO))
TRANSLATIONFILES_INST := $(patsubst src/po/%.po,$(DESTDIR)$(LOCALEDIR)/%/LC_MESSAGES/toppler.mo,$(TRANSLATIONFILES_PO))
FILES_BINDIR += $(TRANSLATIONFILES_MO)

locale/%/LC_MESSAGES/toppler.mo: src/po/%.po
	@mkdir -p $(dir $@)
	msgfmt $< -o $@

$(DESTDIR)$(LOCALEDIR)/%/LC_MESSAGES/toppler.mo: locale/%/LC_MESSAGES/toppler.mo
	$(INSTALL) -m755 -d $(dir $@)
	$(INSTALL) -m644 $< $@

#-------------------------------------------------------#
# rules to create the data files necesary for the cross #
#-------------------------------------------------------#
DATFILES += _build/cross.dat
.SECONDARY: _build/cross.dat
_build/cross.dat: _build/tools/cross _build/tools/assembler datafile/cross_pov/cross.pov datafile/cross_pov/cross.ini datafile/sprites_pov/environment.pov
	( cd _build && mkdir -p cross_pov )
	( cd _build/cross_pov && $(POVRAY) ../../datafile/cross_pov/cross.ini +L../../datafile/cross_pov -D 2>> ../pov.log )
	( cd _build && ./tools/assembler vm cross_rgb cross_pov/*.png )
	( cd _build && convert cross_rgb_mask.png -colors 256 PNG8:cross_mask.png )
	( cd _build && convert cross_rgb_colors.png -colors 256 PNG8:cross_colors.png )
	( cd _build && ./tools/cross )

#------------------------------------------------------#
# rules to create the data files necesary for the font #
#------------------------------------------------------#
DATFILES += _build/font.dat
.SECONDARY: _build/font.dat
_build/font.dat: _build/tools/font datafile/font.xcf
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/font.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"font_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/font.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 1) \"font_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && convert font_colors_rgb.png -colors 256 PNG8:font_colors.png )
	( cd _build && convert font_mask_rgb.png -colors 256 PNG8:font_mask.png )
	( cd _build && ./tools/font )

#----------------------------------------------------------#
# rules to create the data files necesary for the graphics #
#----------------------------------------------------------#
DATFILES += _build/graphics.dat
.SECONDARY: _build/graphics.dat
_build/graphics.dat: _build/tools/graphics datafile/graphics_brick.xcf
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/graphics_brick.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"graphics_brick.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/graphics_pinacle.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"graphics_pinacle.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && ./tools/graphics )

#-------------------------------------------------------#
# rules to create the data files necesary for the mennu #
#-------------------------------------------------------#
DATFILES += _build/menu.dat
MENULEVELS_DIR=datafile/levels/mission1
MENULEVELS=$(wildcard ${MENULEVELS_DIR}/*)
.SECONDARY: _build/menu.dat
_build/menu.dat: _build/tools/menu _build/tools/tower2inc datafile/menu_pov/menu.ini datafile/menu_pov/menu.pov ${MENULEVELS}
	( cd _build && mkdir -p menu_pov )
	( cd _build/menu_pov && ../tools/tower2inc "turm%i.inc" ../.. $(MENULEVELS) )
	( cd _build/menu_pov && $(POVRAY) ../../datafile/menu_pov/menu.ini +L../../datafile/menu_pov -D 2>> ../pov.log )
	( cd _build && convert menu_pov/menu_rgb.png -colors 256 PNG8:menu.png )
	( cd _build && ./tools/menu )

#----------------------------------------------------------#
# rules to create the data files necesary for the scroller #
#----------------------------------------------------------#
DATFILES += _build/scroller.dat
.SECONDARY: _build/scroller.dat
_build/scroller.dat: _build/tools/scroller datafile/scroller.xcf
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 0) \"scr1_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 1) \"scr2_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 2) \"scr3_colors_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 3) \"scr1_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 4) \"scr2_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && $(GIMP) -i -b "(let* ((image (car(gimp-xcf-load 1 \"../datafile/scroller.xcf\" \"ttt\")))(layers (cadr(gimp-image-get-layers image))))(file-png-save-defaults 1 image (aref layers 5) \"scr3_mask_rgb.png\" \"ttt\")(gimp-quit 1))" )
	( cd _build && ./tools/assembler hm scr1_rgb scr1_colors_rgb.png scr1_mask_rgb.png )
	( cd _build && ./tools/assembler hm scr2_rgb scr2_colors_rgb.png scr2_mask_rgb.png )
	( cd _build && ./tools/assembler hm scr3_rgb scr3_colors_rgb.png scr3_mask_rgb.png )
	( cd _build && convert scr3_rgb_mask.png -colors 256 PNG8:scroller3_mask.png )
	( cd _build && convert scr2_rgb_mask.png -colors 256 PNG8:scroller2_mask.png )
	( cd _build && convert scr1_rgb_mask.png -colors 256 PNG8:scroller1_mask.png )
	( cd _build && convert scr3_rgb_colors.png -colors 256 PNG8:scroller3_colors.png )
	( cd _build && convert scr2_rgb_colors.png -colors 256 PNG8:scroller2_colors.png )
	( cd _build && convert scr1_rgb_colors.png -colors 256 PNG8:scroller1_colors.png )
	( cd _build && ./tools/scroller 3 2 1/1 \
		       scroller3_colors.png scroller3_mask.png 0/0/640 1/2 \
                       scroller2_colors.png scroller2_mask.png 0/0/640 1/1 \
                       scroller1_colors.png scroller1_mask.png 0/0/640 2/1 )

#---------------------------------------------------------#
# rules to create the data files necesary for the sprites #
#---------------------------------------------------------#

.SECONDARY: _build/sprites_pov/robot0_rgb_colors.png _build/sprites_pov/robot0_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot1_rgb_colors.png _build/sprites_pov/robot1_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot2_rgb_colors.png _build/sprites_pov/robot2_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot3_rgb_colors.png _build/sprites_pov/robot3_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot4_rgb_colors.png _build/sprites_pov/robot4_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot5_rgb_colors.png _build/sprites_pov/robot5_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot6_rgb_colors.png _build/sprites_pov/robot6_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot7_rgb_colors.png _build/sprites_pov/robot7_rgb_mask.png
.SECONDARY: _build/sprites_pov/robot8_rgb_colors.png _build/sprites_pov/robot8_rgb_mask.png
_build/sprites_pov/robot%_rgb_colors.png _build/sprites_pov/robot%_rgb_mask.png: datafile/sprites_pov/environment.pov \
             datafile/sprites_pov/robot%/obj.pov datafile/sprites_pov/robot%/obj.ini \
             _build/tools/assembler
	( cd _build && mkdir -p sprites_pov  )
	( cd _build/sprites_pov && mkdir -p robot$* && cd robot$* && $(POVRAY) ../../../datafile/sprites_pov/robot$*/obj.ini +L../../../datafile/sprites_pov/robot$* -D 2>> ../pov.log )
	( cd _build && ./tools/assembler hm sprites_pov/robot$*_rgb sprites_pov/robot$*/*.png )

DATFILES += _build/sprites.dat
.SECONDARY: _build/sprites.dat
_build/sprites.dat: _build/tools/sprites _build/tools/assembler \
             datafile/sprites_pov/box/obj.pov datafile/sprites_pov/box/obj.ini \
             datafile/sprites_pov/balls/obj.pov datafile/sprites_pov/balls/obj.ini \
             datafile/sprites_pov/snowball/obj.pov datafile/sprites_pov/snowball/obj.ini \
             _build/sprites_pov/robot0_rgb_colors.png _build/sprites_pov/robot0_rgb_mask.png \
             _build/sprites_pov/robot1_rgb_colors.png _build/sprites_pov/robot1_rgb_mask.png \
