## toppler 1.1.4-1maemo1

=== debian/changelog ===
toppler (1.1.4-1maemo1) fremantle; urgency=low

  * Made changes for the N900

 -- Janne Makinen <janne.makinen@surffi.fi>  Fri,  1 Jan 2010 19:05:04 +0000

toppler (1.1.4-1maemo0) unstable; urgency=low

  * Made changes for Maemo fremantle

 -- Bill Allombert <ballombe@debian.org>  Tue, 29 Dec 2009 00:06:09 +0000

toppler (1.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + Bump Standard-Version to 3.8.3.
    + Move Homepage outside the description and to the source section.
  * debian/copyright:
    + Add full copyright notices.

 -- Bill Allombert <ballombe@debian.org>  Sat, 24 Oct 2009 11:14:09 +0200

toppler (1.1.3-1) unstable; urgency=low

  * New upstream release
    - include translations for Basque, Czech and Romanian. Closes: #379236.
  * This release include a nicer 32x32 icon:
    - debian/rules: do not install toppler18x18.xpm
    - debian/toppler18x18.xpm: removed.
  * debian/menu: update menu section.
  * debian/rules: fix clean rule.
  * po/fr.po: update translation. Closes: #418682.
  * Fix Categories in toppler .desktop file.
  * config.sub/config.guess: add 'exec'. 
  * Reinstate system-wide highscores (only for new installations).
    - debian/rules: install toppler sgid 'games' again.
    - README.Debian: document the change.
    - preinst install: create /var/games/toppler/toppler.hsc.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Sep 2007 08:37:02 +0200

toppler (1.1.2a-3) unstable; urgency=low

  * Fix upstream testing left-over that cause toppler to look for translation
    in /usr/share/locale rather than in current directory. Thanks Ronny
    Standtke. Closes: #366154
  * debian/control: Bump Standards-Version to 3.7.2.

 -- Bill Allombert <ballombe@debian.org>  Fri,  5 May 2006 23:06:17 +0200

toppler (1.1.2a-2) unstable; urgency=low

  * Fix toppler path in .desktop file. Thanks Sebastien Montagne.
    Closes: #356091 
  * Fix inaccurate comments in debian/rules.

 -- Bill Allombert <ballombe@debian.org>  Mon, 20 Mar 2006 11:45:10 +0100

toppler (1.1.2a-1) unstable; urgency=low

  * New upstream release
    - This release include the Swedish translation by Daniel Nylander.
      and the glyph for "å". Closes: #345179. 
    - This release include a .desktop file.
  * Improve upstream .desktop file using advice from Ronny Standtke.
  * debian/control: Bump Standards-Version to 3.6.2.
                  + Remove Ben Bell from Uploaders.
  * debian/watch: switch to use the qa.debian.org redirector.
  * debian/postrm: clean up.
  * Switch to debhelper v4.
 
 -- Bill Allombert <ballombe@debian.org>  Tue, 28 Feb 2006 14:35:11 +0100

toppler (1.1.1-1) unstable; urgency=low

  * New upstream release. Closes: #286354
  * Install locales in /usr/share/locale, not /usr/share/games/locale.
    Closes: #287510. Thanks Bartosz Fenski.
  * Uncapitalize the synopsis.

 -- Bill Allombert <ballombe@debian.org>  Mon, 20 Dec 2004 15:28:28 +0100

toppler (1.0.6-1) unstable; urgency=low

  * New upstream release

 -- Bill Allombert <ballombe@debian.org>  Sun,  8 Feb 2004 12:04:34 +0100

toppler (1.0.5-1) unstable; urgency=low

  * New upstream release
  * Use Homepage instead of Web page in description.
  * Update debian/watch to new format.

 -- Bill Allombert <ballombe@debian.org>  Sun, 18 Jan 2004 16:41:17 +0100

toppler (1.0.3-1) unstable; urgency=low

  * New upstream release
  * Encode this file in UTF-8. 
  * Bump standard version to 3.6.1.0.
  * Use config.sub/.guess from autotools-dev.
  * Use configure --build/--host instead of config.guess.

 -- Bill Allombert <ballombe@debian.org>  Sun, 12 Oct 2003 22:35:29 +0200

toppler (1.0.2-1) unstable; urgency=low

  * New upstream release
  * sound.cc patch has been merged upstream, thanks Andreas.
  * Bump standard version to 3.5.10.0.
  * Remove conflict with old suidmanager.
  * Rescale menu icon to 18x18.
  * s/Nebulous/Nebulus/ in menu longtitle.

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Jun 2003 18:00:30 +0200

toppler (1.0.1-1) unstable; urgency=low

  * New upstream release
  * Apply patch from Dylan Thurston to fix segfault when when firing torpedoes
    with sound off. Closes: #184907. Thanks!
  * Original name was Nebulus not Nebulous. Thanks Zdik Kudrle.

 -- Bill Allombert <ballombe@debian.org>  Wed, 16 Apr 2003 18:10:34 +0200

toppler (1.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #184101

 -- Bill Allombert <ballombe@debian.org>  Sun,  9 Mar 2003 20:43:32 +0100

toppler (0.99.1-1) unstable; urgency=low

  * New upstream release. Closes: #174460
  * This version use login as default highscore name. Closes: #177317
    (The full name would be too long to fit on the screen)
  * debian/watch: use osdn mirror else I cannot catch up with Andreas :)
  * Set localstatedir to /var/games. (Not used but cleaner.)
  * Icon and manpage has been merged upstream (thanks Andreas).
  * Implement DEB_BUILD_OPTIONS nostrip and noopt as per 3.5.7.
  * Remove debian/postinst.disable files.
  * Remove 'A' and '.' from short description.
  * Add URL to long description.

 -- Bill Allombert <ballombe@debian.org>  Mon, 24 Feb 2003 16:51:27 +0100

toppler (0.97.2-1) unstable; urgency=low

  * New upstream release.
  * Really change the debian/watch file.
  * Reformat description to 76 characters. Closes: #164879
  * Debian fixes have been merged upstream (thanks Andreas).
  * Fix manpage again.
  * Bump version in main.cc.
  * Add an icon to the menu.

 -- Bill Allombert <ballombe@debian.org>  Wed,  6 Nov 2002 10:36:40 +0100

toppler (0.97.1-1) unstable; urgency=low

  * New upstream release with much improoved level editor.
  * Use upstream AUTHORS file.
  * Remove autokludges (thanks Andreas Röver).
  * Make `debian/rules install' really install.
  * Fix debian/watch file to accomodate SourceForge redirection.
  * Fix typo in README.Debian.
  * Build-Depends on zlib1g-dev.
  * Bump standard version to 3.5.7


