=== debian/control ===
Source: toppler
Section: user/games
Priority: optional
Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
Build-Depends: debhelper (>= 5.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
Standards-Version: 3.8.3

Package: toppler
Architecture: any
Depends: ${shlibs:Depends}
Description: clone of the "Nebulus" game on old 8 and 16 bit machines
 Toppler is an almost complete reimplementation of the old game known as
 Tower Toppler or Nebulus.
 .
 The target of the game is to reach the target door of each of the  8 towers
 in currently 2 missions with this little green animal. This door is usually
 at the very top of the tower.
 .
 But finding the way by using elevators and walking through a maze of doors
 and platforms is not the only problem you have to solve. There are a bunch
 of other creatures living on the tower that will hinder you to reach your
 target by pushing you over the edge of the platforms.
XB-Maemo-Display-Name: Tower Toppler
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9gDDhIsOwJezJUAAAVrSURBVEjHlZZrbJNVGMd/b/u+7bp2G3Rc1q1j
 bXdB7saBYTqihMtIRFyC4YOED4SwxHgJYES+ePlgNGAwkIyExIhBg1E0g8U4
 NTPBDxgccouMwcaywW5h13Z0Xff2bd/jh56VjRUIJznpeU+fc/7n+T//5zkH
 dacq1J2qcO523uQpmuddT+3k2o2HNh54kr21aF3RcMbcjHl6hu73rPL4q7ZX
 TdxouNHxuEUl75fU+kp8m3zFPndRURGRaMTpecGTv3f/3qbG7xsT6dZYOg93
 1oq5okl36ll90b7dISNU/iiAyk8rZ689uPa5mDX2FibF3iwv3iwvESNSEVfj
 bzZcb1hWc6LGlRYoNdIAH5D3aE+GwkPbr3ZdvVz1ShWRpgh1u+qo21VHocVL
 YFnA09zb/G9oPLQ+3Vo1NYoDA4A8z9E/jjrOXD5zrC/UVzhpEjWiC8cj45w/
 eJ7hW8MkYkmWbvzcgtVrJTo3SiweSx+j6iPV1f1m/zo9rhcV6AW3AzmBUFlV
 mdYb6l3eGmzdc+f+naVBIxgIhoOB8Eg4xzKisKDHRpaYINdlMCcbsk0rROOM
 WnV88/wDa3esDV+qv9Q9FUhx7naK+Lw4mltr3+Pbs6b+av3pjsGONShgeAzM
 DDNp2Qlqi4XsmzZ+/OQ1xu5fYzTYCkCep5LOwUw++Oov9ErwLwr82fxZ84Zp
 1OlxHUywxCwLTl04dS6YGSzUPToogB3IAuYBPVBeLNhSGiMSPMevTeNcaLFi
 Ggne2HCd4nwr+141+EaItPSlxGAIw9Yd735mzDrmJBvwAG4gB3AmLWc7BaX5
 JjF9gN6BCDfvCm52wXBwFJURSvMFmTaIxWO+zYc3H9hxfEfuTDGoQD5JTxxA
 kRwDJAArJAQYAjQFhCkw4yK1XAAGYCrQE+opGYwMfr7Is6gBGJ4u71TKA4VT
 QEiCUAkXfPDRIOhipqo6Dfh4EO7MAQIQ88ZoHW79xbfP9+F0j6zAbBkTWxp9
 umDMDom4BVd2KStKB4AgAP7CAoxMlb7BLgxVQBYIlyAajS6IKbEt/vf8QXVa
 wuZLH4Xs5kNeKaBoVjLcz7J6+TWWFCaB5uQHaMeBYu0BayIZUy8QhYG+gZWM
 sFJRd6qCPEnZQklZBOgAuoBxCbJeJrMOmb9pKBcFSruMT4VCokwwURCHEmln
 kQe9DVyZpG4WMH/K6W2yFEUlKMAtOeeF8eUGiq6gOJKBNFeYUCxpdwCjybxj
 8QMVqHbVfgsHBbqmZ6UEoAFzJNC4PFmn/G8WUAxCF4hsqYolkpHJFpFseMCe
 sIdR6bUaV4xjnsUef7grXI5/ig4VIBvIlT0hY98ClMkkLpE96yGVJmSMW2B+
 ZP63Q7VDmywAhmHEmHqL3AeagLAEtsrguuUmk4mhAxcnM2VKmwBtQKO8oPzL
 1f7VP6Xk7Z3t7VdNtbN/uN9v5pgwAXRLOmyyFMXleO5DiTwk6ZyiUPeE28y1
 5bbZhO3Y6bdPd6QSdtvz2w557d7XXf+4sPRbHsi7D+iXmzRJ7l+UHpoPPNW6
 NOzn7ame15t3fvvq7au2rtx6hymRAKDmRI0rNB5a3xxp/qLtXlsJ92WFyJe/
 v8saMwtYA7QDd5OCqVhQ8V2uPbducq+8nLzB4zuP/z3tmni4AJTtL2vsCHas
 xylv3Bwp2Q4ZMz2ZbwWRgm77PXsrQEVJxdcna07+8Lh3hpp21iaDXyS96AaW
 AmNyfBEssyyH2g631QK00fbEV1N6IIeUbYbspVIQmvxu56nbDCC3y10vVKF1
 9Xa9lGDmy0lDI5AXOO2wOP7rTGXxk5uSbrL6SHV1443GM3pcn1nEM1ycfefs
 qpcXv3zpaTz6H1WjCsQSHPmTAAAAAElFTkSuQmCC
