=== debian/rules ===
#!/usr/bin/make -f
# toppler rules file adapted from:
#  Sample debian/rules that uses debhelper.
#  GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CXXFLAGS += -O0
export CXXFLAGS
endif

configure: configure-stamp
configure-stamp:
	./configure --prefix=/opt/maemo/usr --bindir=/opt/maemo/usr/bin --mandir=/opt/maemo/usr/share/man --localstatedir=/opt/maemo/var/games --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) pkgdatadir=/opt/maemo/usr/share/games/toppler

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -f po/*.gmo
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/toppler.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/toppler pkgdatadir=/opt/maemo/usr/share/games/toppler
	rm -rf debian/toppler/opt/maemo/var/
	cp debian/toppler.png $(CURDIR)/debian/toppler/usr/share/icons/hicolor/scalable/apps/toppler.png
	cp debian/toppler.service $(CURDIR)/debian/toppler/usr/share/dbus-1/services/toppler.service
	cp debian/toppler.desktop $(CURDIR)/debian/toppler/usr/share/applications/hildon/toppler.desktop
	cp debian/toppler.sh $(CURDIR)/debian/toppler/usr/bin/toppler.sh
	dh_install
	#dh_installdocs
	#dh_installmenu
	#dh_installchangelogs ChangeLog
	rm -rf debian/toppler/usr/share/doc/toppler
	dh_link

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
