## toppler 1.1.4-1maemo2

=== debian/changelog ===
toppler (1.1.4-1maemo2) fremantle; urgency=low

  * Pause game when window loses focus, fix keyboard layout not always reverting back

 -- Janne Makinen <janne.makinen@surffi.fi>  Fri, 22 Jan 2010 14:55:43 +0000
