## toppler 1.1.5

=== debian/changelog ===
toppler (1.1.5-2) unstable; urgency=low

  * Fix l10n: add patch fix-locale. Closes: #674133. Thanks Ronny Standtke.

 -- Bill Allombert <ballombe@debian.org>  Wed, 23 May 2012 15:05:08 +0200

toppler (1.1.5-1) unstable; urgency=low

  * New upstream release
    + Fix various issue related to the input system. Closes: #612127
    + Fix Czech po file name. Closes: #624134
  * Move to new source format 3.0 (quilt). Patches applied:
   - use-autotools-dev: Use autotools-dev version of config.sub/.guess.
   - toppler-manpage: use trigraph instead of 8bit chars.
   - toppler-desktop: fix toppler path.
   - snprintf-format: use "%s" explicitly in call to snprintf.
  * debian/rules:
    + Use hardenning compiler flags (toppler is sgid games).
  * debian/control:
    + Bump Standard-Version to 3.9.3.

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 May 2012 23:19:15 +0200

toppler (1.1.4-2) unstable; urgency=high

  * Fix uninitialized variable that cause toppler to abort when selecting 
    the first mission. Closes: #610513
  * Fix segfault in ~configuration destructor when writing the configuration 
    file fail.  Closes: #608979.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Jan 2011 23:58:33 +0100
