=== debian/control ===
Source: toppler
Section: games
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>= 5.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
Standards-Version: 3.9.3
Homepage: http://toppler.sourceforge.net/

Package: toppler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: clone of the "Nebulus" game on old 8 and 16 bit machines
 Toppler is an almost complete reimplementation of the old game known as
 Tower Toppler or Nebulus.
 .
 The target of the game is to reach the target door of each of the  8 towers
 in currently 2 missions with this little green animal. This door is usually
 at the very top of the tower.
 .
 But finding the way by using elevators and walking through a maze of doors
 and platforms is not the only problem you have to solve. There are a bunch
 of other creatures living on the tower that will hinder you to reach your
 target by pushing you over the edge of the platforms.
