=== debian/rules ===
#!/usr/bin/make -f
# toppler rules file adapted from:
#  Sample debian/rules that uses debhelper.
#  GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CXXFLAGS=-g -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security
CPPFLAGS=-D_FORTIFY_SOURCE=2
LDFLAGS=-Wl,-z,relro
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CXXFLAGS += -O0
else
CXXFLAGS += -O2
endif
export CXXFLAGS CPPFLAGS LDFLAGS

configure: configure-stamp
configure-stamp:
	./configure --prefix=/usr --bindir=/usr/games --mandir=/usr/share/man --localstatedir=/var/games --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) pkgdatadir=/usr/share/games/toppler

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-rm -f po/*.gmo
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/toppler.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/toppler pkgdatadir=/usr/share/games/toppler
	rm -r debian/toppler/usr/share/doc/
	rm -r debian/toppler/var/
	dh_install
	dh_installdocs
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_link

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	chown -R root.games debian/toppler/usr/games/toppler
	chmod g+s debian/toppler/usr/games/toppler
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
