## toppler 1.1.6

=== debian/changelog ===
toppler (1.1.6-3) unstable; urgency=medium

  * debian/control
    - Bump Standard-Version to 4.1.5.
  * debian/rules
    - use dh_prep instead of dh_clean -k
  * Move to debhelper v9

 -- Bill Allombert <ballombe@debian.org>  Thu, 19 Jul 2018 14:53:11 +0200

toppler (1.1.6-2) unstable; urgency=low

  * patch toppler-desktop:
    + Fix pixmap path. Closes: #707728. Thanks again, Ronny Standtke.

 -- Bill Allombert <ballombe@debian.org>  Sat, 18 May 2013 15:01:25 +0200

toppler (1.1.6-1) unstable; urgency=low

  * New upstream release. Patches:
    - toppler-manpage removed: merged upstream
    - fix-locale updated
    - toppler-desktop updated
  * debian/control:
    + Bump Standard-Version to 3.9.4.

 -- Bill Allombert <ballombe@debian.org>  Mon, 06 May 2013 22:56:59 +0200
