=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
+Standards-Version: 4.1.5
 Homepage: http://toppler.sourceforge.net/
 
 Package: toppler
