=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp configure-stamp config.log
 
 	# Add here commands to clean up after the build process.
 	-rm -f po/*.gmo
@@ -46,7 +46,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/toppler.
