=== debian/watch ===
# Site				Directory	Pattern		Version	Script
version=2
http://sf.net/toppler/toppler-(.*)\.tar\.gz debian uupdate
