## toppler 1.3

=== debian/changelog ===
toppler (1.3-3) unstable; urgency=medium

  * new patch: fix-include: fix FTBFS with g++ 14. Closes: #1075582
  * debian/control:
    - Bump Standards-Version to 4.7.0.

 -- Bill Allombert <ballombe@debian.org>  Wed, 24 Jul 2024 21:22:34 +0200

toppler (1.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 4.6.2.
  * debian/rules:
    - copy back po~ files. Closes: #1047932. Thanks Lucas Nussbaum.
  * Fix cross-compilation: Closes: #1064240 (from Helmut Grohne)
    + Let dh_auto_build pass cross tools to make.
    + SDL2_image is used for build tools only.

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Feb 2024 18:31:27 +0100

toppler (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Include data used to generate toppler.dat. Closes: #794198
    - All patches removed
    - Disable global hiscore file
  * debian/control
    - Bump Standards-Version to 4.6.0.
    - Build-Depends on debhelper-compat (= 13)
    - Build-Depends: move from libsdl1.2 to libbsdl2
    - Add Rules-Requires-Root: no
    - Update Homepage:
  * debian/rules: switch to dh. Closes: #999172
  * debian/compat: removed
  * debian/README.Debian: removed
  * debian/watch: removed
  * toppler.xpm:
    - Increase size. Closes: #794197. Thanks again, Ronny Standtke.

 -- Bill Allombert <ballombe@debian.org>  Sat, 12 Feb 2022 22:13:19 +0100
