=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: games
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libsdl1.2-dev (>= 1.2.2-3.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1), zlib1g-dev, autotools-dev
-Standards-Version: 4.1.5
-Homepage: http://toppler.sourceforge.net/
+Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-mixer-dev, libsdl2-image-dev:native,  zlib1g-dev, libpng-dev
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Homepage: https://gitlab.com/roever/toppler/
 
 Package: toppler
 Architecture: any
