=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	rm -rf _build locale toppler

override_dh_auto_build:
	dh_auto_build -- toppler DATADIR=/usr/share/games LOCALEDIR=/usr/share/locale

override_dh_auto_install:
	$(MAKE) install BINDIR=/usr/games  LOCALEDIR=/usr/share/locale MANDIR=/usr/share/man \
                        DATADIR=/usr/share/games DESTDIR=debian/toppler
	for i in src/po/*.po; do test -f $$i~ && mv $$i~ $$i; done
